mia-3dmotioncompica-nonrigid(1)

NAME
mia-3dmotioncompica-nonrigid - Non-linear registration of a series of 3D images.

SYNOPSIS
mia-3dmotioncompica-nonrigid -i <in-file> -o <out-file> [options]

DESCRIPTION
mia-3dmotioncompica-nonrigid This program implements a 3D version of the motion compensation algorithm described in

    Wollny G, Kellman P, Santos A, Ledesma-Carbayo M-J, "Automatic Motion Compensation of Free Breathing acquired Myocardial Perfusion Data by using Independent Component Analysis" Medical Image Analysis, 2012 (https://doi.org/10.1016/j.media.2012.02.004)

OPTIONS

  File-IO

    -i --in-file=(input, required); io
        input images of consecutively numbered filed (nameXXXX.ext)
         For supported file types see PLUGINS:3dimage/io

    -o --out-file=(output, required); io
        output image name (as C format string including a %04d in order to define the file numbering)
         For supported file types see PLUGINS:3dimage/io

    --save-refs=
        save reference images, the given string is used as file name base, the number pattern follows the input images, and the output format is always 'vista'

    --save-regs=
        save intermediate registered images, the given string is used as file name base, the number pattern follows the input images, and the output format is always 'vista'

    --save-coeffs=
        save mixing matrix to a text file

    --save-features=
        save feature images as PNG

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  ICA

    --fastica=internal
        FastICA implementationto be used
         For supported plugins see PLUGINS:fastica/implementation

    -C --components=0
        ICA components 0 = automatic estimation

    --no-normalize
        don't normalized ICs

    --no-meanstrip
        don't strip the mean from the mixing curves

    -k --skip=0
        skip images at the beginning of the series e.g. because as they are of other modalities

    -m --max-ica-iter=400
        maximum number of iterations in ICA

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

  Registration

    -O --optimizer=gsl:opt=gd,step=0.1
        Optimizer used for minimization

    -a --start-c-rate=32
        start coefficinet rate in spines, gets divided by --c-rate-divider with every pass

    --c-rate-divider=4
        cofficient rate divider for each pass

    -d --start-divcurl=20
        start divcurl weight, gets divided by --divcurl-divider with every pass

    --divcurl-divider=4
        divcurl weight scaling with each new pass

    -w --imagecost=image:weight=1,cost=ssd,
        image cost

    -l --mg-levels=3
        multi-resolution levels

    -P --passes=3
        registration passes

PLUGINS: 3dimage/io

analyze
    Analyze 7.5 image

    Recognized file extensions: .HDR, .hdr

    Supported element types:
        unsigned 8 bit, signed 16 bit, signed 32 bit, floating point 32 bit, floating point 64 bit

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

dicom
    Dicom image series as 3D

    Recognized file extensions: .DCM, .dcm

    Supported element types:
        signed 16 bit, unsigned 16 bit

hdf5
    HDF5 3D image IO

    Recognized file extensions: .H5, .h5

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, signed 64 bit, unsigned 64 bit, floating point 32 bit, floating point 64 bit

inria
    INRIA image

    Recognized file extensions: .INR, .inr

    Supported element types:
        signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

mhd MetaIO 3D image IO using the VTK implementation (experimental).

    Recognized file extensions: .MHA, .MHD, .mha, .mhd

    Supported element types:
        signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

nifti
    NIFTI-1 3D image IO. The orientation is transformed in the same way like it is done with 'dicomtonifti --no-reorder' from the vtk-dicom package.

    Recognized file extensions: .NII, .nii

    Supported element types:
        signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, signed 64 bit, unsigned 64 bit, floating point 32 bit, floating point 64 bit

vff VFF Sun raster format

    Recognized file extensions: .VFF, .vff

    Supported element types:
        unsigned 8 bit, signed 16 bit

vista
    Vista 3D

    Recognized file extensions: .-, .V, .VISTA, .v, .vista

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

vti 3D image VTK-XML in- and output (experimental).

    Recognized file extensions: .VTI, .vti

    Supported element types:
        signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

vtk 3D VTK image legacy in- and output (experimental).

    Recognized file extensions: .VTK, .VTKIMAGE, .vtk, .vtkimage

    Supported element types:
        signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

PLUGINS: fastica/implementation

internal
    This is the MIA implementation of the FastICA algorithm.

    (no parameters)

itpp
    This is the IT++ implementation of the FastICA algorithm.

    (no parameters)

EXAMPLE
Register the perfusion series given in images imagesXXXX.v by using 4-class ICA estimation. Skip two images at the beginning, use at most 4 registration threads, a nlopt based optimizer and otherwiese use the default parameters. Store the result in registeredXXXX.v

mia-3dmotioncompica-nonrigid -i images0000.v -o registered%04d.v -k 2 -C 4 -t 4 -O nlopt:opt=ld-var1,xtola=0.001,ftolr=0.001,maxiter=300

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.